/* Replication do file for:  Collins, Paul M., Jr. 2006. Transforming the Original U.S. Supreme Court Judicial Database: An Alternative Approach for use with Stata. 2005. Law & Courts 15(4): forthcoming. */



set mem 65m



/* NOTE: YOU WILL HAVE TO CHANGE THE PATH LOCATION OF THE DATA */
use "allcourt_stata.dta", clear



/* rename justice id variables */
rename har harb
rename blc blcb
rename doug dougb
rename stwt stwtb
rename mar marb
rename brn brnb
rename bw bwb
rename war warb
rename clk clkb
rename frk frkb
rename whit whitb
rename burt burtb
rename reed reedb
rename fort fortb
rename gold goldb
rename mint mintb
rename jack jackb
rename burg burgb
rename blkm blkmb
rename pow powb
rename rehn rehnb
rename stev stevb
rename ocon oconb
rename scal scalb
rename ken kenb
rename sout soutb
rename thom thomb
rename gin ginb
rename bry bryb


rename dir courtdirection
rename lctdir lctdirection
rename mult_mem multcase
rename term termofcase



/* give each case a unique number */
gen caseid = _n



/* reshape the data */
reshape long  @b @a1 @a2 @v @o @dir @m, i (caseid) j (justid) string



/* drop missing values */
drop if b=="" & o==. & a1=="" & a2==""



/* label the new variables*/
label variable b "Justice's Voting Behavior"

label variable a1 "Special Opinion to Which Justice Agreed"

label variable a2 "Second Special Opinion to Which Justice Agreed"


label variable v "Justice's Vote in the Case"

label variable o "Justice's Opinion in the Case"

label variable dir "Ideological Direction of Justice's Vote"

label variable m "Minority or Majority Status of the Justice"
label define m 1 "Majority" 0 "Minority" 9 "Missing"
label value m m








